# ConditionsProcessor (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.processors, class: ConditionsProcessor

Package co.aikar.commands.processors

# Class ConditionsProcessor

java.lang.Object
co.aikar.commands.processors.ConditionsProcessor

All Implemented Interfaces:
  `AnnotationProcessor<Conditions>`

@Deprecated public class ConditionsProcessor extends Object implements AnnotationProcessor<Conditions>
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ConditionsProcessor()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`onPostContextResolution(CommandExecutionContext context, Object resolvedValue)`
Deprecated.
`void`
`onPreComand(CommandOperationContext context)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.AnnotationProcessor

`getApplicableParameters, onBaseCommandRegister, onCommandRegistered, onParameterRegistered, onPostComand, onPreContextResolution`

## Constructor Details

### ConditionsProcessor

public ConditionsProcessor()
Deprecated.

## Method Details

### onPreComand

public void onPreComand (CommandOperationContext context)
Deprecated.

Specified by:
  `onPreComand` in interface `AnnotationProcessor<Conditions>`

### onPostContextResolution

public void onPostContextResolution (CommandExecutionContext context, Object resolvedValue)
Deprecated.

Specified by:
  `onPostContextResolution` in interface `AnnotationProcessor<Conditions>`